/**
 * Copyright (C) 2024  Skylar Widulski
 *
 * This file is part of Yammer.
 *
 * Yammer is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Yammer is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Yammer. If not, see <https://www.gnu.org/licenses/>.
 *
 * @file yammer.h
 * @brief Headers for yammer.c
 */

#ifndef _YAMMER_H_
#define _YAMMER_H_

#ifdef USE_FFTW
#include <fftw3.h>
fftw_plan init_plan(int vsize);
short int* do_dft(fftw_plan plan, short int* ins, int len);
#endif  // USE_FFTW

#ifdef USE_PULSE
#include <pulse/simple.h>
pa_simple* make_pa_simple(unsigned int bitrate, char* dev, int latency);
short int* read_from_pa(pa_simple* s, size_t bytes);
#endif  // USE_PULSE

#endif  // _YAMMER_H_
